Migrate DB Nodes from 3.7 to 4.0

database
#1

Hi, when I try to migrate a workflow which has many DB Reader (legacy) and DB Table Selector (legacy) nodes using the migrate function in KNIME 4.0 I am getting the error message below for each of the instances.

“ERROR WorkflowMigrationExecutionPage Migration node connection status cannot be changed from TO_BE_RESTORED to TO_BE_RESTORED.”

Has anyone came across this issue or has a fix for it?

Regards

0 Likes

#2

Hi brendanPdoherty,
this is a know bug in the migration tool which has problems with migrating certain metanodes or components. This will be fixed with the next bug fix release. Until then as a workaround you need to expand all metanodes in the workflow you want to migrate.
Sorry about that
Tobias

0 Likes

#3

Thanks for the update and work around Tobias.

Regards

0 Likes

#4

Hi,
we have just released the 4.0.1 bug fix release which also fixes the above mentioned problem (AP-12225). For more details about the fixed problems see the changelog.
Bye
Tobias

0 Likes

#5

Many thanks, I will update to the latest version for this.

1 Like

split this topic #6

A post was merged into an existing topic: Knime 4.0 and SQL Server Legacy DB Reader

0 Likes